# HG changeset patch
# Node ID a1172456017c
# Parent  b64f768f9f66
diff --git a/gplugin-gtk3/gplugin-gtk-plugin-info.c b/gplugin-gtk3/gplugin-gtk-plugin-info.c
--- a/gplugin-gtk3/gplugin-gtk-plugin-info.c
+++ b/gplugin-gtk3/gplugin-gtk-plugin-info.c
@@ -418,7 +418,7 @@
  * gplugin_gtk_plugin_info_new:
  *
  * Create a new widget which can be used to display info about a
- * [class@GPlugin.Plugin].
+ * [iface@GPlugin.Plugin].
  *
  * Returns: (transfer full): The new display widget.
  */
diff --git a/gplugin/gplugin-core.c b/gplugin/gplugin-core.c
--- a/gplugin/gplugin-core.c
+++ b/gplugin/gplugin-core.c
@@ -62,7 +62,7 @@
  *
  * This function *MUST* be called before interacting with any other GPlugin
  * API. The one exception is [func@GPlugin.get_option_group]. Parsing options
- * with the [class@GLib.OptionGroup] from [func@GPlugin.get_option_group]
+ * with the [struct@GLib.OptionGroup] from [func@GPlugin.get_option_group]
  * internally calls [func@GPlugin.init].
  */
 void
diff --git a/gplugin/gplugin-loader.c b/gplugin/gplugin-loader.c
--- a/gplugin/gplugin-loader.c
+++ b/gplugin/gplugin-loader.c
@@ -187,7 +187,7 @@
  * gplugin_loader_query_plugin:
  * @loader: The loader instance performing the query.
  * @filename: The filename to query.
- * @error: (nullable): The return location for a [class@GLib.Error], or %NULL.
+ * @error: (nullable): The return location for a [struct@GLib.Error], or %NULL.
  *
  * This function is called by the plugin manager to ask @loader to query
  * @filename and determine if it's a usable plugin.
@@ -243,7 +243,7 @@
  * gplugin_loader_load_plugin:
  * @loader: The loader instance performing the load.
  * @plugin: The plugin instance to load.
- * @error: (nullable): The return location for a [class@GLib.Error], or %NULL.
+ * @error: (nullable): The return location for a [struct@GLib.Error], or %NULL.
  *
  * This function is called by the plugin manager to ask @loader to load
  * @plugin.
@@ -314,7 +314,7 @@
  * @loader: The loader instance performing the unload.
  * @plugin: The plugin instance to unload.
  * @shutdown: Whether or not GPlugin is shutting down.
- * @error: (nullable): The return location for a [class@GLib.Error], or %NULL.
+ * @error: (nullable): The return location for a [struct@GLib.Error], or %NULL.
  *
  * This function is called by the plugin manager to ask @loader to unload
  * @plugin.
@@ -378,11 +378,11 @@
  * gplugin_loader_get_supported_extensions:
  * @loader: The loader instance.
  *
- * Returns a [class@GLib.SList] of strings containing the extensions that the
+ * Returns a [struct@GLib.SList] of strings containing the extensions that the
  * loader supports.  Each extension should not include the dot.  For example:
  * so, dll, py, etc.
  *
- * Returns: (element-type utf8) (transfer container): A [class@GLib.SList] of
+ * Returns: (element-type utf8) (transfer container): A [struct@GLib.SList] of
  *          extensions that the loader supports.
  */
 GSList *
diff --git a/gplugin/gplugin-manager.c b/gplugin/gplugin-manager.c
--- a/gplugin/gplugin-manager.c
+++ b/gplugin/gplugin-manager.c
@@ -30,7 +30,7 @@
 /**
  * GPluginManagerForeachFunc:
  * @id: The id of the plugin.
- * @plugins: (transfer none) (element-type GPlugin.Plugin): A [class@GLib.SList]
+ * @plugins: (transfer none) (element-type GPlugin.Plugin): A [struct@GLib.SList]
  *           of each plugin that has the id @id.
  * @data: User data passed to [method@GPlugin.Manager.foreach].
  *
@@ -320,8 +320,8 @@
 	/**
 	 * GPluginManager::loading-plugin:
 	 * @manager: The [class@GPlugin.Manager] instance.
-	 * @plugin: The [class@GPlugin.Plugin] that's about to be loaded.
-	 * @error: Return address for a [class@GLib.Error].
+	 * @plugin: The [iface@GPlugin.Plugin] that's about to be loaded.
+	 * @error: Return address for a [struct@GLib.Error].
 	 *
 	 * Emitted before @plugin is loaded.
 	 *
@@ -343,7 +343,7 @@
 	/**
 	 * GPluginManager::loaded-plugin:
 	 * @manager: The [class@GPlugin.Manager] instance.
-	 * @plugin: The [class@GPlugin.Plugin] that's about to be loaded.
+	 * @plugin: The [iface@GPlugin.Plugin] that's about to be loaded.
 	 *
 	 * emitted after a plugin is loaded.
 	 */
@@ -362,7 +362,7 @@
 	/**
 	 * GPluginManager::load-plugin-failed:
 	 * @manager: The [class@GPlugin.Manager] instance.
-	 * @plugin: The [class@GPlugin.Plugin] that failed to load.
+	 * @plugin: The [iface@GPlugin.Plugin] that failed to load.
 	 *
 	 * emitted after a plugin fails to load.
 	 */
@@ -381,8 +381,8 @@
 	/**
 	 * GPluginManager::unloading-plugin
 	 * @manager: The [class@GPlugin.Manager] instance.
-	 * @plugin: The [class@GPlugin.Plugin] that's about to be unloaded.
-	 * @error: Return address for a [class@GLib.Error].
+	 * @plugin: The [iface@GPlugin.Plugin] that's about to be unloaded.
+	 * @error: Return address for a [struct@GLib.Error].
 	 *
 	 * emitted before a plugin is unloaded.
 	 *
@@ -404,7 +404,7 @@
 	/**
 	 * GPluginManager::unloaded-plugin:
 	 * @manager: The [class@GPlugin.Manager] instance.
-	 * @plugin: The [class@GPlugin.Plugin] that's about to be loaded.
+	 * @plugin: The [iface@GPlugin.Plugin] that's about to be loaded.
 	 *
 	 * emitted after a plugin is successfully unloaded.
 	 */
@@ -423,8 +423,8 @@
 	/**
 	 * GPluginManager::unload-plugin-failed:
 	 * @manager: The [class@GPlugin.Manager] instance.
-	 * @plugin: The [class@GPlugin.Plugin] instance that failed to unload.
-	 * @error: A [class@GLib.Error] instance.
+	 * @plugin: The [iface@GPlugin.Plugin] instance that failed to unload.
+	 * @error: A [struct@GLib.Error] instance.
 	 *
 	 * Emitted when @manager was asked to unload @plugin, but @plugin returned
 	 * %FALSE when its unload function was called.
@@ -769,7 +769,7 @@
  * gplugin_manager_register_loader:
  * @manager: The manager instance.
  * @loader: The loader instance to register.
- * @error: (out) (nullable): The return address for a [class@GLib.Error].
+ * @error: (out) (nullable): The return address for a [struct@GLib.Error].
  *
  * Registers @loader as an available loader.
  *
@@ -849,7 +849,7 @@
  * gplugin_manager_unregister_loader:
  * @manager: The manager instance.
  * @loader: The loader instance to unregister.
- * @error: (out) (nullable): The return address for a [class@GLib.Error].
+ * @error: (out) (nullable): The return address for a [struct@GLib.Error].
  *
  * Unregisters @loader as an available loader.
  *
@@ -1226,7 +1226,7 @@
  *
  * Finds all plugins matching @id.
  *
- * Returns: (element-type GPlugin.Plugin) (transfer full): A [class@GLib.SList]
+ * Returns: (element-type GPlugin.Plugin) (transfer full): A [struct@GLib.SList]
  *          of plugins matching @id.
  */
 GSList *
@@ -1259,7 +1259,7 @@
  * This is primarily used for dependency loading where a plugin may depend on a
  * specific range of versions of another plugin.
  *
- * Returns: (element-type GPlugin.Plugin) (transfer full): A [class@GLib.SList]
+ * Returns: (element-type GPlugin.Plugin) (transfer full): A [struct@GLib.SList]
  *          of plugins matching @id and the version constraint.
  */
 GSList *
@@ -1330,7 +1330,7 @@
  *
  * Finds all plugins that currently have a state of @state.
  *
- * Returns: (element-type GPlugin.Plugin) (transfer full): A [class@GLib.SList]
+ * Returns: (element-type GPlugin.Plugin) (transfer full): A [struct@GLib.SList]
  *          of plugins whose state is @state.
  */
 GSList *
@@ -1477,11 +1477,11 @@
  * gplugin_manager_get_plugin_dependencies:
  * @manager: The manager instance.
  * @plugin: The plugin whose dependencies to get.
- * @error: (out) (nullable): Return address for a [class@GLib.Error].
+ * @error: (out) (nullable): Return address for a [struct@GLib.Error].
  *
  * Returns a list of all the plugins that @plugin depends on.
  *
- * Returns: (element-type GPlugin.Plugin) (transfer full): A [class@GLib.SList]
+ * Returns: (element-type GPlugin.Plugin) (transfer full): A [struct@GLib.SList]
  *          of plugins that @plugin depends on, or %NULL on error with @error
  *          set.
  */
@@ -1576,7 +1576,7 @@
  * gplugin_manager_load_plugin:
  * @manager: The manager instance.
  * @plugin: The plugin instance.
- * @error: (out) (nullable): Return location for a [class@GLib.Error] or %NULL.
+ * @error: (out) (nullable): Return location for a [struct@GLib.Error] or %NULL.
  *
  * Loads @plugin and all of its dependencies.
  *
@@ -1687,7 +1687,7 @@
  * gplugin_manager_unload_plugin:
  * @manager: The manager instance.
  * @plugin: The plugin instance.
- * @error: (out) (nullable): Return location for a [class@GLib.Error] or %NULL.
+ * @error: (out) (nullable): Return location for a [struct@GLib.Error] or %NULL.
  *
  * Unloads @plugin.
  *
@@ -1767,7 +1767,7 @@
  *
  * Each id should be queried directly for more information.
  *
- * Returns: (element-type utf8) (transfer container): A [class@GLib.List] of
+ * Returns: (element-type utf8) (transfer container): A [struct@GLib.List] of
  *          each unique plugin ID.
  */
 GList *
diff --git a/gplugin/gplugin-options.c b/gplugin/gplugin-options.c
--- a/gplugin/gplugin-options.c
+++ b/gplugin/gplugin-options.c
@@ -117,7 +117,7 @@
  *
  * Returns an option group for the commandline arguments recognized by GPlugin.
  *
- * You should add this option group to your [class@GLib.OptionContext] with
+ * You should add this option group to your [struct@GLib.OptionContext] with
  * [method@GLib.OptionContext.add_group], if you are using
  * [method@GLib.OptionContext.parse] to parse your commandline arguments.
  *
diff --git a/gplugin/gplugin-plugin.c b/gplugin/gplugin-plugin.c
--- a/gplugin/gplugin-plugin.c
+++ b/gplugin/gplugin-plugin.c
@@ -285,7 +285,7 @@
  * gplugin_plugin_get_error:
  * @plugin: The plugin instance.
  *
- * Gets the [class@GLib.Error], if any, that the plugin returned during load or
+ * Gets the [struct@GLib.Error], if any, that the plugin returned during load or
  * unload.
  *
  * Returns: (transfer full): The error the plugin returned during load or
